﻿using Eingabeverwaltung.Metamodell;
using System;

namespace Ueberpruefung.CheckTransformation
{
	public class CheckTransformationStep_NoSortChange : ElementChecker
	{
		public CheckTransformationStep_NoSortChange() { }

        public override bool check(Element e)
        {
            if (e is TransformationStep ts)
            {
                bool result = ts.startTree.sort == ts.resultTree.sort;
                if (!result) ts.errors.Add(new Error(5));
                return result;
            }
            else throw new InvalidOperationException();
        }
    }
}